RCS Message Seen
RcsMessageSeenWebhook is sent to the account-level URL configured for the RcsMessageSeen type
when the recipient device confirms that an outbound RCS message has been read.
Authorization
basic Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
RCS message seen event.
Response Body
curl -X POST "https://example.com/v1/Webhooks/RcsMessageSeenWebhook" \ -H "Content-Type: application/json" \ -d '{ "type": "RcsMessageSeen", "sid": "WH08df051c8bb916fafa8a9940ed5235d61bf80ad491cad48f", "payload": { "sid": "ROXXXXXXXX", "agentId": "MyAgent", "to": "+19876543210", "eventDate": "2023-03-22T16:44:55.123Z" } }'RCS Inbound Message POST
`RcsInboundMessageReceivedWebhook` is sent to the account-level URL configured for the `RcsInboundMessageReceived` type when an end user sends a message to one of your RCS agents.
RCS Typing Indicator POST
`RcsTypingIndicatorWebhook` is sent to the account-level URL configured for the `RcsTypingIndicator` type when an end user starts typing to one of registered RCS agents.